## djblets 0.7~git20120402+dfsg

=== debian/changelog ===
djblets (0.7~git20120402+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #656275)

 -- Dmitry Nezhevenko <dion@dion.org.ua>  Thu, 19 Apr 2012 18:38:36 +0300
