=== debian/control ===
Source: djblets
Section: python
Priority: optional
Maintainer: Dmitry Nezhevenko <dion@dion.org.ua>
Build-Depends: debhelper (>= 8), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3),
 python-django, python-imaging, python-feedparser, python-tz, python-django-pipeline,
 python-django-evolution, python-nose, python-mock
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
Homepage: https://github.com/djblets/djblets

Package: python-djblets
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-feedparser
Suggests: python-nose, python-mock
Description: Collection of useful extensions for Django
 Djblets is a set of utility classes and functions for web applications
 written using Django and Python. It contains followed modules:
  - auth: Flexible forms for registration processing and other useful
    forms.
  - datagrid: Customizable datagrids that represent paginated lists of
    database objects.
  - feedview: Views and templates for providing a simple RSS reader. 
  - gravatars: Template tags for inserting gravatars in a page.
  - log: Provides middleware that handles log initialization
  - siteconfig: A powerful module for offering dynamic settings
    configuration in a web UI.
  - testing: Helper classes for unit tests.
  - util: A collection of various utility functions, template tags, and
    more.
  - webapi: A rich framework for implementing RESTful APIs in a web
    application.
