=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Variables for creating of DFSG sources
UPSTREAM_SRC_PREFIX=http://downloads.reviewboard.org/releases/Djblets/0.6
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))

# Veriables for creating DFSG snapshots from Git
GIT_URL=git://github.com/djblets/djblets.git
GIT_VERSION_PREIFX="0.7~git"

JQUERY_CORE=djblets/media/js/jquery-1.3.2.min.js

#
# Strip "minified" version of JQuery libraries without copyright headers
# Upstream bug: http://code.google.com/p/reviewboard/issues/detail?id=2579
#
get-orig-source:
	export ORIG_PWD=$$PWD; \
	export CURRENT_VERSION=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog --count 1 | grep Version | sed -re 's/^Version: ([0-9\\.]+)[+-].*$$/\1/'); \
	export UPSTREAM_DIRNAME=Djblets-$$CURRENT_VERSION; \
	export FILE_NAME=$$UPSTREAM_DIRNAME.tar.gz; \
	export TMP_DIR=$(shell mktemp -d); \
	wget "$(UPSTREAM_SRC_PREFIX)/$$FILE_NAME" -O "$$TMP_DIR/$$FILE_NAME" && \
	cd $$TMP_DIR && \
	tar xzf $$FILE_NAME && \
	cd $$UPSTREAM_DIRNAME && \
	rm djblets/media/js/jquery-ui-1.6rc2.min.js && \
	rm djblets/media/js/jquery-ui-1.6rc5.min.js && \
	rm djblets/media/js/jquery-1.3.2.min.js && \
	rm -rf Djblets.egg-info && \
	cd $$TMP_DIR && \
	mv $$UPSTREAM_DIRNAME $$UPSTREAM_DIRNAME.orig && \
	tar czf $$ORIG_PWD/djblets_$$CURRENT_VERSION+dfsg.orig.tar.gz $$UPSTREAM_DIRNAME.orig && \
	rm -rf "$$TMP_DIR"
	
get-git-snapshot-source:
	export ORIG_PWD=$$PWD; \
	export TMP_DIR=$(shell mktemp -d); \
	cd $$TMP_DIR; \
	git clone $(GIT_URL) djblets.git || exit $$?; \
	cd djblets.git || exit $$?; \
	export VERSION_DATE=`git log -n 1 --format="%cd" --date=short | sed -s 's/-//g'`; \
	export VERSION="$(GIT_VERSION_PREIFX)$$VERSION_DATE"; \
	export DIRNAME="djblets_$$VERSION.orig"; \
	cd $$TMP_DIR || exit 1; \
	mv djblets.git $$DIRNAME; \
	cd $$DIRNAME || exit 1; \
	rm -rf .git; \
	rm djblets/media/js/jquery-ui-1.6rc2.min.js && \
	rm djblets/media/js/jquery-ui-1.6rc5.min.js && \
	rm djblets/media/js/jquery-1.3.2.min.js && \
	cd $$TMP_DIR || exit 1; \
	tar czf $$ORIG_PWD/djblets_$$VERSION+dfsg.orig.tar.gz $$DIRNAME && \
	rm -rf $$TMP_DIR

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf Djblets.egg-info test.log $(JQUERY_CORE)

override_dh_auto_configure:
	echo "// generated file. will be replaced by symlink" > $(JQUERY_CORE)
	dh_auto_configure

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# run tests
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
PYTHON2=$(shell pyversions -vr)
test-python%:
	python$* tests/runtests.py

override_dh_auto_test: $(PYTHON2:%=test-python%)
endif
