=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
opts=dversionmangle=s/\+dfsg$// \
http://downloads.reviewboard.org/releases/Djblets/(\d\.\d)/ Djblets-(.*).tar.gz
